Ubuntu

No top bar and launcher in 12.04

Asked by Sergio on 2012-04-28

I upgrade to 12.04, after restart the system reports a problem with Compiz, after this i have the deskop but without the Launcher and the top bar. I can´t acces the console with alt ctl T.

I will appreciate your help to solve this problem, tks

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu nvidia-graphics-drivers Edit question
Assignee:
No assignee Edit question
Solved by:
Sam_
Solved:
2012-05-18
Last query:
2012-05-18
Last reply:
2012-05-17

This question was reopened

What video chip do you use?
Does the system have a make and model?

Sergio (sgarciagh) said : #2

Andrew:

My system uses a Asus MB M4N68t-M LE, Chipset GeForce 7025 / n Force 630 a

tks

SG

Sam_ (and-sam) said : #3

Try alt+F2, enter: gnome-terminal
Enter in terminal:
compiz --replace
unity --reset
unity --replace

If nothing helps restart X: alt+print+K
Select Unity-2d session by click on the small arrow and login.
http://www.youtube.com/watch?v=DT-jEXNTsZU

Sergio (sgarciagh) said : #4

It was impossible to enter to terminal mode, restarting X and selecting
Ubuntu-2d works fine. I understand that the graphic driver provided by
Ubuntu doesent works in 3D mode, its true this? How can I use 3D mode?

Tks

2012/4/29 Sam_ <email address hidden>

> Your question #195131 on ubiquity in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/ubiquity/+question/195131
>
> Status: Open => Answered
>
> Sam_ proposed the following answer:
> Try alt+F2, enter: gnome-terminal
> Enter in terminal:
> compiz --replace
> unity --reset
> unity --replace
>
> If nothing helps restart X: alt+print+K
> Select Unity-2d session by click on the small arrow and login.
> http://www.youtube.com/watch?v=DT-jEXNTsZU
>
> --
> If this answers your question, please go to the following page to let us
> know that it is solved:
>
> https://answers.launchpad.net/ubuntu/+source/ubiquity/+question/195131/+confirm?answer_id=2
>
> If you still need help, you can reply to this email or go to the
> following page to enter your feedback:
> https://answers.launchpad.net/ubuntu/+source/ubiquity/+question/195131
>
> You received this question notification because you asked the question.
>

Sergio (sgarciagh) said : #5

Thanks Sam_, that solved my question.

Sam_ (and-sam) said : #6

> How can I use 3D mode?

Sergio, currently there're some issues with nvidia drivers.
You can try workaround, use nouveau, report a bug and/or stay with Unity-2d.
https://answers.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+question/194226

Sergio (sgarciagh) said : #7

Nouveau is installed in my system but dont know if its operating

Sergio (sgarciagh) said : #8

Unity-3D doesnt works :-(

Sam_ (and-sam) said : #9

Mmh, GeForce 7025 is rather old. However some like Unity-2d more due to better performance.
Please post outputs:
glxinfo | grep OpenGL

## needs to install mesa-utils

This will tell which driver is in use:
lspci -nnk | grep -i VGA -A2

This will tell if Unity is supported:
usr/lib/nux/unity_support_test -p

https://wiki.ubuntu.com/DemystifyingUnityGraphicsHardwareRequirements

Sergio (sgarciagh) said : #10

The outputs.....

sergio@Cuchitrils:~$ glxinfo | grep OpenGL
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 7025 / nForce 630a/integrated/SSE2
OpenGL version string: 2.1.2 NVIDIA 295.40
OpenGL shading language version string: 1.20 NVIDIA via Cg compiler
OpenGL extensions:

sergio@Cuchitrils:~$ lspci -nnk | grep -i VGA -A2
00:0d.0 VGA compatible controller [0300]: NVIDIA Corporation C61 [GeForce 7025 / nForce 630a] [10de:03d6] (rev a2)
 Subsystem: ASUSTeK Computer Inc. Device [1043:83a4]
 Kernel driver in use: nvidia

sergio@Cuchitrils:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 7025 / nForce 630a/integrated/SSE2
OpenGL version string: 2.1.2 NVIDIA 295.40

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity 3D supported: yes

TKS

SG

Best Sam_ (and-sam) said : #11

As you can see for yourself, Unity is supported, driver Nvidia 295.40 in use (which is not nouveau).
So if nvidia 295.40 is a problem for you, purge it and nouveau should be in use automatically.
sudo apt-get purge nvidia-current
sudo apt-get autoremove
sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade
sudo reboot

Sergio (sgarciagh) said : #12

Sam_

Now is working OK

TKS

SG

Sergio (sgarciagh) said : #13

Thanks Sam_, that solved my question.